require "vl_quest_utils"

VLF = VLF or {}
VLF.Quest = VLF.Quest or {}
VLF.Quest.Q1MaxStep = 41

local GetPlayerID = VLF.GetPlayerID

--Lấy Global ModData Player -- playerGMD.Quest.Q1
function VLF.GetPlayerGlobalModDataQ1(player, args) --VLF.GetPlayerGlobalModDataQ1(player, {qStep = qStep})
	if not player then return nil end
	local pID = GetPlayerID(player)
	local playerGMD = ModData.getOrCreate("VL_Player_"..tostring(pID))
	if not playerGMD.Quest then playerGMD.Quest = {} end
	if not playerGMD.Quest.Q1 then playerGMD.Quest.Q1 = {} end
	
	local qStep = args.qStep
	if qStep then
		if not playerGMD.Quest.Q1[qStep] then playerGMD.Quest.Q1[qStep] = {} end
	end
	
	return playerGMD.Quest.Q1
end